[![Gitpod Ready-to-Code](https://img.shields.io/badge/Gitpod-Ready--to--Code-blue?logo=gitpod)](https://gitpod.io/#https://gitlab.com/think-big-io/websites/think-big.io) 
[![pipeline status](https://gitlab.com/think-big-io/websites/think-big.io/badges/master/pipeline.svg)](https://gitlab.com/think-big-io/websites/think-big.io/-/commits/master)
[![Netlify Status](https://api.netlify.com/api/v1/badges/98ef3cc0-c371-4497-87a8-ed96d9bd7553/deploy-status)](https://app.netlify.com/sites/wonderful-wiles-54c2f8/deploys)

# Soon

A super simple *coming soon* page built for [Jekyll](https://jekyllrb.com/docs/).

## What's in it?

Soon is a single static page with a full-screen image, nothing more. Remember those *under construction* sites? The point is to show a quick message or a temporary contact page to your visitors. Use this template for a few hours to a few days while you are building your site in the background. Since the page comes with a Jekyll environment, you can host it for free on GitHub.

***

## Start Soon
It's easy. [Install Jekyll](https://jekyllrb.com/docs/installation/), clone this folder, ```cd soon``` then run ```bundle exec jekyll serve``` to check how it looks locally (localhost:4000). Self-host or use [GitHub pages](https://pages.github.com) to publish the site.

You just need to change ```_config``` with your contact and site information and ```index.md``` to get the page up and running. Although it is just a starting point and you can change pretty much anything else. If you change the background image, don't forget to link the new image in ```_layouts/default.html```. The background image is located in ```images```.

***

The sooner you start building your site the better. Since you wanted to install Jekyll anyway, *Soon* comes with all the usual starting folders to run a complete Jekyll site or blog. This means you can publish your *Soon* page and restyle, write and test your site in the background. Once you are happy with your layouts for posts, pages, collections and anything else in your site assets you can just overwrite everything and push your live site.

Get [Soon](https://github.com/YJPL/soon/).

***
***

# Sites using Soon or that have used Soon at some point

- [alternatyves.com](https://alternatyves.com)

<figure>
<a href="https://alternatyves.com"><img src="https://raw.githubusercontent.com/YJPL/soon-screenshots/master/Soon_Screen-Shot-2019-02-18-at-14.44.01.png"/></a>
</figure>

- [Baixada Santista Game Dev (BSGD)](https://bsgd-sp.github.io)

<figure>
<a href="https://bsgd-sp.github.io"><img src="https://raw.githubusercontent.com/bsgd-sp/bsgd-sp.github.io/master/images/Screenshot_2020-03-13%20https%20bsgd-sp%20github%20io.png"/></a>
</figure>

Are you using Soon? [Let me know!](https://github.com/YJPL/soon/edit/master/README.md)
